# This file created by conda-build 3.21.6
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/2bf3eb2a-d972-43d4-774c-fc2e1f5380a3/volume/combined_recipe, last modified Wed Nov 17 00:47:50 2021
# ------------------------------------------------

package:
  name: h5py
  version: 3.6.0
source:
  patches: null
  sha256: 840fca0787bca8ad2729b9c20e06a16f219e7a24ccc59fdf5177a05ec8472b2d
  url: https://github.com/h5py/h5py/archive/3.6.0.tar.gz
build:
  number: '0'
  script_env: null
  string: py38h4a1dd59_0
requirements:
  build:
    - cctools_osx-64 949.0.1 hc7db93f_23
    - clang 12.0.0 hecd8cb5_2
    - clang-12 12.0.0 default_hfcad0e5_2
    - clang_osx-64 12.0.0 h7ad7729_2
    - clangxx 12.0.0 default_hfcad0e5_2
    - compiler-rt 12.0.0 hd87ff74_2
    - compiler-rt_osx-64 12.0.0 hfb26b64_2
    - ld64_osx-64 530 h70f3046_23
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp12 12.0.0 default_hfcad0e5_2
    - libcxx 12.0.0 h2f01273_0
    - libllvm12 12.0.0 h9b2ccf5_3
    - llvm-tools 12.0.0 h9b2ccf5_3
    - patch 2.7.6 h1de35cc_1001
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.11 h1de35cc_3
  host:
    - blas 1.0 mkl
    - ca-certificates 2021.10.26 hecd8cb5_2
    - certifi 2021.10.8 py38hecd8cb5_0
    - cython 0.29.24 py38he9d5cce_0
    - hdf5 1.10.6 hdbbcd12_0
    - intel-openmp 2021.4.0 hecd8cb5_3538
    - libcxx 12.0.0 h2f01273_0
    - libffi 3.3 hb1e8313_2
    - libgfortran 3.0.1 h93005f0_2
    - libiconv 1.16 h1de35cc_0
    - mkl 2021.4.0 hecd8cb5_637
    - mkl-service 2.4.0 py38h9ed2024_0
    - mkl_fft 1.3.1 py38h4ab4a9b_0
    - mkl_random 1.2.2 py38hb2f4e1b_0
    - ncurses 6.3 hca72f7f_2
    - numpy 1.16.6 py38h300780c_3
    - numpy-base 1.16.6 py38h4850c68_3
    - openssl 1.1.1l h9ed2024_0
    - pip 21.2.4 py38hecd8cb5_0
    - pkg-config 0.29.2 h3efe00b_8
    - pkgconfig 1.5.4 py38hecd8cb5_0
    - python 3.8.12 h88f2d9e_0
    - readline 8.1 h9ed2024_0
    - setuptools 58.0.4 py38hecd8cb5_0
    - six 1.16.0 pyhd3eb1b0_0
    - sqlite 3.36.0 hce871da_0
    - tk 8.6.11 h7bc2e8c_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
  run:
    - hdf5 >=1.10.6,<1.10.7.0a0
    - numpy >=1.16.6,<2.0a0
    - python >=3.8,<3.9.0a0
test:
  commands:
    - pip check
  imports:
    - h5py
    - h5py._hl
    - h5py.tests
    - h5py.tests.data_files
    - h5py.tests.test_vds
  requires:
    - curl
    - pip
    - pytest
    - pytest-mpi
about:
  dev_url: https://github.com/h5py/h5py
  home: http://www.h5py.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: licenses/license.txt
  summary: Read and write HDF5 files from Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - minrk
    - ocefpaf
    - scopatz
    - tacaswell
